Subject: Re: [PATCHv2] Teach --no-ff option to 'rebase -i'.

From: Johannes Sixt <[email-masked]>
Date: Wed, 17 Mar 2010 17:07:53 +0100

Peter Baumann schrieb:
> On Wed, Mar 17, 2010 at 07:59:19AM +0100, Johannes Sixt wrote:
>> If I were to re-merge topic into master a second time after this
>> situation, I would install a temporary graft that removes the second
>> parent of M and repeat the merge. After the graft is removed, the history
>> would look like this:
>>
>>      B --- C --- D --------------.   [topic]
>>    /              \               \
>>   A ---  ...   --- M ... --- U ... N [master]
>>
>> Are there any downsides? I don't know - I haven't thought it through.
>>
> 
> Might be. If there is any branch starting anywhere in between M and U
> which also needs to merge [topic] will also cause you headaches :-)
> 
>        B --- C --- D --------------.   [topic]
>      /              \               \
>     A ---  ...   --- M ... --- U ... N [master]
>                          \
>                           x --- y [side_branch wich needs to merge topic] 

?? I don't follow you. The side branch already contains the topic. What do
you want to merge?

-- Hannes